<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>Standard (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/doclets/standard/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/doclets/standard/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/doclets/standard/standard.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Doclets\Standard\Standard</div>
<a href="../../../source/doclets/standard/standard.php.html#line41" class="location">doclets/standard/standard.php at line 41</a>

<h1>Class Standard</h1>

<pre class="tree"><a href="../../../phpdoctor/doclets/doclet.html">Doclet</a><br>    └─<strong>Standard</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>Standard</strong><br>extends <a href="../../../phpdoctor/doclets/doclet.html">Doclet</a>

</p>

<div class="comment" id="overview_description"><p>The standard doclet. This doclet generates HTML output similar to that
produced by the Javadoc standard doclet.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(<a href="../../../phpdoctor/rootdoc.html">RootDoc</a> rootDoc, <a href="../../../phpdoctor/formatters/textformatter.html">TextFormatter</a> formatter)</p><p class="description">Doclet constructor.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#asCode()">asCode</a>(str text)</p><p class="description">Format text as a piece of code</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#bottom()">bottom</a>()</p><p class="description">Return the text to be placed at the bottom of each output file. </p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#destinationPath()">destinationPath</a>()</p><p class="description">Get the destination path to write the doclet output to.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#docTitle()">docTitle</a>()</p><p class="description">Return the title to be placed near the top of the overview summary
file.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#formatLink()">formatLink</a>(str url, str text)</p><p class="description">Format a URL link</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#getFooter()">getFooter</a>()</p><p class="description">Return the footer text to be placed at the bottom of each output file.
</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#getHeader()">getHeader</a>()</p><p class="description">Return the header text to be placed at the top of each output file.
</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#includeSource()">includeSource</a>()</p><p class="description">Should we be outputting the source code?</p></td>
</tr>
<tr>
<td class="type"> <a href="../../../phpdoctor/phpdoctor.html">PHPDoctor</a></td>
<td class="description"><p class="name"><a href="#phpdoctor()">phpdoctor</a>()</p><p class="description">Return a reference to the application object.</p></td>
</tr>
<tr>
<td class="type"> <a href="../../../phpdoctor/rootdoc.html">RootDoc</a></td>
<td class="description"><p class="name"><a href="#rootDoc()">rootDoc</a>()</p><p class="description">Return a reference to the root doc.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#tree()">tree</a>()</p><p class="description">Return whether to create a class tree or not.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#version()">version</a>()</p><p class="description">Return the version of PHPDoctor.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#windowTitle()">windowTitle</a>()</p><p class="description">Return the title to be placed in the HTML  tag.</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doclets\Doclet</th></tr>
<tr><td><a href="../../../phpdoctor/doclets/doclet.html#asCode()">asCode</a>, <a href="../../../phpdoctor/doclets/doclet.html#formatLink()">formatLink</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/doclets/standard/standard.php.html#line109" class="location">doclets/standard/standard.php at line 109</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(<a href="../../../phpdoctor/rootdoc.html">RootDoc</a> rootDoc, <a href="../../../phpdoctor/formatters/textformatter.html">TextFormatter</a> formatter)</code>
<div class="details">
<p>Doclet constructor.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line317" class="location">doclets/standard/standard.php at line 317</a>

<h3 id="asCode()">asCode</h3>
<code class="signature">public  str <strong>asCode</strong>(str text)</code>
<div class="details">
<p>Format text as a piece of code</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line267" class="location">doclets/standard/standard.php at line 267</a>

<h3 id="bottom()">bottom</h3>
<code class="signature">public  str <strong>bottom</strong>()</code>
<div class="details">
<p>Return the text to be placed at the bottom of each output file. The
text will be placed at the bottom of the page, below the lower navigation
bar.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line217" class="location">doclets/standard/standard.php at line 217</a>

<h3 id="destinationPath()">destinationPath</h3>
<code class="signature">public  str <strong>destinationPath</strong>()</code>
<div class="details">
<p>Get the destination path to write the doclet output to.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line236" class="location">doclets/standard/standard.php at line 236</a>

<h3 id="docTitle()">docTitle</h3>
<code class="signature">public  str <strong>docTitle</strong>()</code>
<div class="details">
<p>Return the title to be placed near the top of the overview summary
file.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line306" class="location">doclets/standard/standard.php at line 306</a>

<h3 id="formatLink()">formatLink</h3>
<code class="signature">public  str <strong>formatLink</strong>(str url, str text)</code>
<div class="details">
<p>Format a URL link</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line256" class="location">doclets/standard/standard.php at line 256</a>

<h3 id="getFooter()">getFooter</h3>
<code class="signature">public  str <strong>getFooter</strong>()</code>
<div class="details">
<p>Return the footer text to be placed at the bottom of each output file.
The footer will be placed to the right of the lower navigation bar.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line246" class="location">doclets/standard/standard.php at line 246</a>

<h3 id="getHeader()">getHeader</h3>
<code class="signature">public  str <strong>getHeader</strong>()</code>
<div class="details">
<p>Return the header text to be placed at the top of each output file.
The header will be placed to the right of the upper navigation bar.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line295" class="location">doclets/standard/standard.php at line 295</a>

<h3 id="includeSource()">includeSource</h3>
<code class="signature">public  bool <strong>includeSource</strong>()</code>
<div class="details">
<p>Should we be outputting the source code?</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line208" class="location">doclets/standard/standard.php at line 208</a>

<h3 id="phpdoctor()">phpdoctor</h3>
<code class="signature">public  <a href="../../../phpdoctor/phpdoctor.html">PHPDoctor</a> <strong>phpdoctor</strong>()</code>
<div class="details">
<p>Return a reference to the application object.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line199" class="location">doclets/standard/standard.php at line 199</a>

<h3 id="rootDoc()">rootDoc</h3>
<code class="signature">public  <a href="../../../phpdoctor/rootdoc.html">RootDoc</a> <strong>rootDoc</strong>()</code>
<div class="details">
<p>Return a reference to the root doc.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line276" class="location">doclets/standard/standard.php at line 276</a>

<h3 id="tree()">tree</h3>
<code class="signature">public  bool <strong>tree</strong>()</code>
<div class="details">
<p>Return whether to create a class tree or not.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line285" class="location">doclets/standard/standard.php at line 285</a>

<h3 id="version()">version</h3>
<code class="signature">public  str <strong>version</strong>()</code>
<div class="details">
<p>Return the version of PHPDoctor.</p></div>

<hr>

<a href="../../../source/doclets/standard/standard.php.html#line226" class="location">doclets/standard/standard.php at line 226</a>

<h3 id="windowTitle()">windowTitle</h3>
<code class="signature">public  str <strong>windowTitle</strong>()</code>
<div class="details">
<p>Return the title to be placed in the HTML <title> tag.</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/doclets/standard/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/doclets/standard/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/doclets/standard/standard.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>